package ei.game.scene.weapons;

import ei.engine.effects.Particles;
import ei.engine.math.Vector2f;

public class CannonBall extends Weapon{
	
	public CannonBall(Vector2f startPos) {
		super(startPos);
		setVelocity(4);
		setRange(500);
		setDamage(5);
	}
	public Particles getWeapon() {
		Particles part = new Particles("cannon");
		part = new Particles("weapon");
		part.MaxSpeedX=500;
		part.MaxSpeedY=400;
		part.MaxSpeedZ=600;
		part.rainbow = false;
		part.size=5;
		return part;
	}

}
